%define upstream_name    String-Flogger
%define upstream_version 1.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    String munging for loggers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(JSON)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Sub::Exporter)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri May 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 380977
- adding missing buildrequires:
- import perl-String-Flogger


* Fri May 29 2009 cpan2dist 1.001-1mdv
- initial mdv release, generated with cpan2dist

